Debian Bug report logs - #379374
ITA: spe -- Stani's Python Editor

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Matej Vela <vela@debian.org>

Date: Sun, 23 Jul 2006 08:48:02 UTC

Owned by: "Stefano Canepa" <sc@linux.it>

Severity: normal

Tags: help

Fixed in version spe/0.8.4.e-1

Done: Emilio Pozuelo Monfort <pochu@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#379374; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: submit@bugs.debian.org
Subject: O: spe -- Stani's Python Editor
Date: Sun, 23 Jul 2006 10:06:42 +0200
Package: wnpp
Severity: normal

The current maintainer of spe, Matthias Klose <doko@debian.org>, has
orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: spe
Binary: spe
Version: 0.8.2a+repack-0.1
Priority: optional
Section: python
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 4.2), python-dev
Architecture: all
Standards-Version: 3.6.2
Format: 1.0
Directory: pool/main/s/spe
Files:
 d3eabe0a45294b5658c56c5885f75b40 590 spe_0.8.2a+repack-0.1.dsc
 d5d5a55414aa2410ac430f7e79b271e5 836948 spe_0.8.2a+repack.orig.tar.gz
 c39968b27dcca6af58e1c8a1cd5d6f80 5776 spe_0.8.2a+repack-0.1.diff.gz

Package: spe
Priority: optional
Section: python
Installed-Size: 2568
Maintainer: Debian QA Group <packages@qa.debian.org>
Architecture: all
Version: 0.8.2a+repack-0.1
Depends: python (>= 2.3), python (<< 2.4), python-wxgtk2.6, python-wxglade, kiki
Recommends: python-doc, python2.4-doc, wx2.6-doc
Suggests: python-profiler, blender (>= 2.35)
Filename: pool/main/s/spe/spe_0.8.2a+repack-0.1_all.deb
Size: 515842
MD5sum: fdce177ecc050d4802d3e7ae71af6ee0
SHA1: a08e6323c63e227616aebb5c63da353ea16738f0
SHA256: d1e0f4f1d99dccfa4abfe88136cfde31cfac4cd21d61d7f77032a2f0584af724
Description: Stani's Python Editor
 Spe is a python IDE with auto-indentation, auto completion, call
 tips, syntax coloring, syntax highlighting, uml viewer, class
 explorer, source index, auto todo list, sticky notes, integrated
 pycrust shell, python file browser, recent file browser, drag&drop,
 context help, ... Special is its blender support with a blender 3d
 object browser and its ability to run interactively inside
 blender. Spe ships with wxGlade (gui designer), PyChecker (source
 code doctor) and Kiki (regular expression console). Spe is extensible
 with wxGlade.



Changed Bug title. Request was from Andreas Bresser <bresser@informatik.uni-bremen.de> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Andreas Bresser <bresser@informatik.uni-bremen.de. Request was from Andreas Bresser <bresser@informatik.uni-bremen.de> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from Andreas Bresser <bresser@informatik.uni-bremen.de to Andreas Bresser <bresser@informatik.uni-bremen.de>. Request was from Andreas Bresser <bresser@informatik.uni-bremen.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andreas Bresser <bresser@informatik.uni-bremen.de>:
Bug#379374; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@merkel.debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andreas Bresser <bresser@informatik.uni-bremen.de>. Full text and rfc822 format available.

Message #18 received at 379374@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: control@bugs.debian.org
Cc: 379374@bugs.debian.org
Subject: WNPP bug retitle
Date: Mon, 16 Jul 2007 11:59:32 -0600
retitle 379374 O: spe -- Stani's Python Editor
noowner 379374
stop

Hello,

This is an automatic mail sent to retitle the ITA you have reported or 
are involved with.

Your ITA wnpp bug is being orphaned because of the following reasons:
- It is, as of today, older than 250 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be managing some bugs that are not 
intended by owners and submitters (like you) to be orphaned, for
example if the ITA is still of your interest, or there has been 
some kind of activity around it. In that case, please retitle the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily recover
their bugs ;-).

To retitle it, you simply have to mail <control@bugs.debian.org>
with a body text like this:

 retitle 379374 ITA: spe -- Stani's Python Editor
 owner 379374 !
 stop

Further comments on the work done in the bug sent to
379374@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.




Changed Bug title to `O: spe -- Stani's Python Editor' from `ITA: spe -- Stani's Python Editor'. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. (Mon, 16 Jul 2007 18:00:14 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Andreas Bresser <bresser@informatik.uni-bremen.de>. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. (Mon, 16 Jul 2007 18:00:15 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: spe -- Stani's Python Editor' from `O: spe -- Stani's Python Editor'. Request was from "Stefano Canepa" <sc@linux.it> to control@bugs.debian.org. (Mon, 03 Sep 2007 11:00:02 GMT) Full text and rfc822 format available.

Owner recorded as "Stefano Canepa" <sc@linux.it>. Request was from "Stefano Canepa" <sc@linux.it> to control@bugs.debian.org. (Mon, 03 Sep 2007 11:00:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Stefano Canepa" <sc@linux.it>:
Bug#379374; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Stefano Canepa" <sc@linux.it>. Full text and rfc822 format available.

Message #31 received at 379374@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@ubuntu.com>
To: sc@linux.it
Cc: debian-python@lists.debian.org, 379374@bugs.debian.org
Subject: Spe packaging status
Date: Fri, 23 Nov 2007 23:01:29 +0100
[Message part 1 (text/plain, inline)]
[ CCing debian-python and ITA 379374 ]

Hello Stefano

I've updated spe's packaging files in the PAPT repository a bit, and was
wondering what's the status of your ITA bug. If you don't plan to own the
package in Debian, we could maintain it in the team, although if you want to
maintain it yourself (with or without the team's help) that's alright too. Let
me know what do you think and I'll act accordingly.

Also, I've seen there are new releases in your svn repository, but I couldn't
find any tarball for them. Is there any reason for this? If not, would you mind
releasing a tarball whenever you make a release?

Cheers,
Emilio

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Stefano Canepa" <sc@linux.it>:
Bug#379374; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to sc@linux.it:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Stefano Canepa" <sc@linux.it>. Full text and rfc822 format available.

Message #36 received at 379374@bugs.debian.org (full text, mbox):

From: Stefano Canepa <sc@linux.it>
To: Emilio Pozuelo Monfort <pochu@ubuntu.com>
Cc: debian-python@lists.debian.org, 379374@bugs.debian.org
Subject: Re: Spe packaging status
Date: Fri, 23 Nov 2007 23:35:42 +0100
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Emilio Pozuelo Monfort wrote:
> [ CCing debian-python and ITA 379374 ]
> 
> Hello Stefano
> 
> I've updated spe's packaging files in the PAPT repository a bit, and was
> wondering what's the status of your ITA bug. If you don't plan to own the
> package in Debian, we could maintain it in the team, although if you want to
> maintain it yourself (with or without the team's help) that's alright too. Let
> me know what do you think and I'll act accordingly.
> 
> Also, I've seen there are new releases in your svn repository, but I couldn't
> find any tarball for them. Is there any reason for this? If not, would you mind
> releasing a tarball whenever you make a release?
> 
> Cheers,
> Emilio
> 

I'm working from spe SVN. The package I did was wrong. The correct
release is number is 0.8.4b. There is no tarbar and I did some errors
that messed up team SVN.

I need the help of the team.

bye
sc


- --
Stefano Canepa aka sc: sc@linux.it - http://www.stefanocanepa.it
Three great virtues of a programmer: laziness, impatience and hubris.
Le tre grandi virt├╣ di un programmatore: pigrizia, impazienza e
arroganza. (Larry Wall)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFHR1W+l8XQY46MbvERAgIrAKCGIjb2tXubCnLIEiqMePpbIXbdnwCfaRko
7IkOllTchMj3q9R3h57F3fQ=
=gDyl
-----END PGP SIGNATURE-----
[sc.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Stefano Canepa" <sc@linux.it>:
Bug#379374; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Stefano Canepa" <sc@linux.it>. Full text and rfc822 format available.

Message #41 received at 379374@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@ubuntu.com>
To: sc@linux.it
Cc: debian-python@lists.debian.org, 379374@bugs.debian.org
Subject: Re: Spe packaging status
Date: Sat, 24 Nov 2007 02:22:50 +0100
[Message part 1 (text/plain, inline)]
Stefano Canepa wrote:
> Emilio Pozuelo Monfort wrote:
>> [ CCing debian-python and ITA 379374 ]
> 
>> Hello Stefano
> 
>> I've updated spe's packaging files in the PAPT repository a bit, and was
>> wondering what's the status of your ITA bug. If you don't plan to own the
>> package in Debian, we could maintain it in the team, although if you want to
>> maintain it yourself (with or without the team's help) that's alright too. Let
>> me know what do you think and I'll act accordingly.
> 
> How can I download your modifications?

They are in the repository. You can do
svn co svn://svn.debian.org/svn/python-apps/packages/spe/

to get it, and 'svn up' to update when there are new revisions.

> I don't want to own the package
> spe is just a product I use, the team can own the package.

That's nice. I've updated the Maintainer so it's the Python Applications
Packaging Team. It was Debian QA before, since the package was orphaned.

> I started the
> NM process and just want to understand how to do packages to help
> debian. I just need one more package as I'm on hold in the process.

There is some good documentation out there, such as the new maintainer's guide,
the debian policy or the developers reference. I suggest you to take a look at
them if you haven't already done it.

http://www.us.debian.org/doc/

Take care,
Emilio

> Bye
> sc
> 

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Emilio Pozuelo Monfort <pochu@ubuntu.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matej Vela <vela@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 379374-close@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@ubuntu.com>
To: 379374-close@bugs.debian.org
Subject: Bug#379374: fixed in spe 0.8.4.e-1
Date: Tue, 25 Mar 2008 23:17:08 +0000
Source: spe
Source-Version: 0.8.4.e-1

We believe that the bug you reported is fixed in the latest version of
spe, which is due to be installed in the Debian FTP archive:

spe_0.8.4.e-1.diff.gz
  to pool/main/s/spe/spe_0.8.4.e-1.diff.gz
spe_0.8.4.e-1.dsc
  to pool/main/s/spe/spe_0.8.4.e-1.dsc
spe_0.8.4.e-1_all.deb
  to pool/main/s/spe/spe_0.8.4.e-1_all.deb
spe_0.8.4.e.orig.tar.gz
  to pool/main/s/spe/spe_0.8.4.e.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 379374@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emilio Pozuelo Monfort <pochu@ubuntu.com> (supplier of updated spe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 25 Mar 2008 22:08:55 +0100
Source: spe
Binary: spe
Architecture: source all
Version: 0.8.4.e-1
Distribution: unstable
Urgency: medium
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Changed-By: Emilio Pozuelo Monfort <pochu@ubuntu.com>
Description: 
 spe        - Stani's Python Editor
Closes: 379374 384293 401982 452476 472033
Changes: 
 spe (0.8.4.e-1) unstable; urgency=medium
 .
   [ Stefano Canepa ]
   * New upstream release, from the upstream SPE-0.8.4.e-wx2.6.1.0.tar.gz
     tarball (includes Stefano's setup.py and spe.sgml - Piotr).
   * debian/control:
     - Added docbook-to-man to Build-Depends-Indep.
     - Added myself to Uploaders.
   * debian/rules:
     - Added creation of manpage.
 .
   [ Stani ]
   * Closes LP: #74572, #75893, #86159, #105036, #106666, #204751
 .
   [ Emilio Pozuelo Monfort ]
   * debian/control:
     - New Maintainer, Python Applications Packaging Team.
       Closes: #379374.
     - Added myself to Uploaders.
     - Section -> devel.
     - Require debhelper >= 5.0.51 for dh_icons.
     - Require python-central >= 0.5.6 as required by policy.
     - Depend on winpdb, as we have removed it from the package.
     - Depend on pychecker >= 0.8.17-5 to get pychecker2 too.
     - Move python-doc from Recommends to Suggests, as it's in contrib.
       Closes: #452476.
     - Added Homepage, VCS-Browser and VCS-Svn fields.
     - Conform with Debian Policy 3.7.3
   * debian/compat:
     - Update to 5.
   * debian/menu:
     - Change section according to the new menu layout.
     - Improved title and added longtitle.
     - Use spe.xpm instead of spe.png
   * debian/install:
     - Created, install spe.xpm and spe.desktop from here.
   * debian/links:
     - Created. Move symlinks from rules to here.
     - Symlink docs from /usr/share/doc/spe/.
     - Symlink /usr/bin/spe to /usr/share/spe/_spe/SPE.py
   * debian/spe.xpm
     - Added.
   * debian/spe.desktop:
     - Updated to fit the policy.
   * debian/copyright:
     - Updated Homepage and Website.
     - Updated copyright holder.
   * debian/rules:
     - Call dh_icons as we install a png file in /usr/share/pixmaps.
     - Install the package in /usr/share/spe/_spe. Closes: #401982, #384293.
     - Make SPE.py executable.
     - Move installation of files to spe.install and spe.links.
     - Don't call dh_python and dh_installexamples, we don't need them.
     - Install spe.desktop from spe.install and not here.
     - Call dh_install, dh_link and dh_desktop.
     - The changelog has been moved, so the path is different now.
     - Remove SPE_DEBUG.py. That's a windows launcher.
     - Do nothing on binary-arch target.
     - Fix dh_installchangelog call with a non-repacked tarball.
   * debian/pycompat:
     - Removed, not needed as we don't call dh_python.
   * debian/README.Debian:
     - Removed, issues are fixed now.
   * debian/watch:
     - Updated as spe is now hosted on berlios.
 .
   [ Piotr O┼╝arowski ]
   * Update debian/rules to match changes in upstream tarball
   * debian/copyright: upstream sources are released under GPL3 now
   * Urgency set to medium as this upload closes: #472033 (pycentral dir is not
     used anymore)
Files: 
 bce1f9c590f8e0ad47216fffcc2bba0a 943 devel optional spe_0.8.4.e-1.dsc
 7b60e0e00cc4e93488a7c608b15b722c 1209254 devel optional spe_0.8.4.e.orig.tar.gz
 73ad85d5cd206a0be3edbe3e7f3cceec 7595 devel optional spe_0.8.4.e-1.diff.gz
 5f730def5b5e9d954ff915d73b220559 341098 devel optional spe_0.8.4.e-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH6YMtB01zfu119ZkRAirmAJ47UUMJKGJzKxjbFerPxiu7cJ3J6QCggTIg
wyIhc/OiVDazbhGPeKiNAo0=
=5HVU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 09:50:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:56:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.